Package fr.gouv.vitam.common.model.administration

# Class AccessionRegisterSymbolicModel

java.lang.Object
fr.gouv.vitam.common.model.administration.AccessionRegisterSymbolicModel

public class AccessionRegisterSymbolicModel extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessionRegisterSymbolicModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getArchiveUnit()`
  `long`
  `getBinaryObject()`
  `double`
  `getBinaryObjectSize()`
  `String`
  `getCreationDate()`
  `String`
  `getId()`
  `long`
  `getObjectGroup()`
  `String`
  `getOriginatingAgency()`
  `Integer`
  `getTenant()`
  `Integer`
  `getVersion()`
  `void`
  `setArchiveUnit(long archiveUnit)`
  `void`
  `setBinaryObject(long binaryObject)`
  `void`
  `setBinaryObjectSize(double binaryObjectSize)`
  `void`
  `setCreationDate(String creationDate)`
  `void`
  `setId(String id)`
  `void`
  `setObjectGroup(long objectGroup)`
  `void`
  `setOriginatingAgency(String originatingAgency)`
  `void`
  `setTenant(Integer tenant)`
  `void`
  `setVersion(Integer version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessionRegisterSymbolicModel

    public AccessionRegisterSymbolicModel()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getTenant

    public Integer getTenant()

  - ### setTenant

    public void setTenant(Integer tenant)

  - ### getVersion

    public Integer getVersion()

  - ### setVersion

    public void setVersion(Integer version)

  - ### getOriginatingAgency

    public String getOriginatingAgency()

  - ### setOriginatingAgency

    public void setOriginatingAgency(String originatingAgency)

  - ### getCreationDate

    public String getCreationDate()

  - ### setCreationDate

    public void setCreationDate(String creationDate)

  - ### getBinaryObjectSize

    public double getBinaryObjectSize()

  - ### setBinaryObjectSize

    public void setBinaryObjectSize(double binaryObjectSize)

  - ### getArchiveUnit

    public long getArchiveUnit()

  - ### setArchiveUnit

    public void setArchiveUnit(long archiveUnit)

  - ### getObjectGroup

    public long getObjectGroup()

  - ### setObjectGroup

    public void setObjectGroup(long objectGroup)

  - ### getBinaryObject

    public long getBinaryObject()

  - ### setBinaryObject

    public void setBinaryObject(long binaryObject)